Dia

Kevin Breit

Henry House

Judith Samson

Alan Horkan

Thomas Harding

Ceci est la version 0.5 du manuel Dia. Quelques ajouts et modifications ont été faits dans la traduction, lorsque Dia(Version 0.96) s'était écarté du manuel.

Copyright © 2004 Kevin Breit, Henry House, Judith Samson, Alan Horkan

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.1 or any later version published by the Free Software Foundation with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. You may obtain a copy of the GNU Free Documentation License from the Free Software Foundation by visiting their Web site or by writing to: Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

Beaucoup de noms utilisés par des entreprises pour distinguer leurs produits et services sont des marques déposées. Lorsque ces noms apparaissent dans la documentation GNOME, et que ces marques sont portées à l'attention des membres du Projet de documentation GNOME, les noms sont en majuscules ou commencent par une majuscule.

le 21 Avril 2007

Historique des versions
Version 0.5-2fr 2008-27-05 HDG
suppressions des entités HTML, dia-1.xml independant de dia-cmdline.xml, suppression des extensions des éléments "graphic"

Table des matières

1. Introduction
1.1. Introduction
2. Démarrage rapide
2.1. Que pouvez-vous faire ?
2.2. Démarrer Dia
2.3. Démarrage rapide : Introduction
2.4. Créer un Canevas
2.5. Réaliser un diagramme
2.6. Enregistrer et imprimer vos diagrammes
2.7. À qui Dia s'adresse ?
3. Canevas
3.1. Introduction au Canevas
3.2. Lignes de grille
3.3. Règles
3.4. Couleur d'arrière plan
3.5. Zoom (grossir)
4. Objets
4.1. Introduction aux objets
4.2. Utiliser les objets
4.2.1. Ajouter des Objets
4.2.2. Mouvoir les objets
4.2.3. Changer la taille des objets
4.2.4. Supprimer des objets
4.2.5. Aligner les objets
4.2.6. Grouper les objets
4.2.7. Propiétés de la ligne
4.2.8. Styles de ligne
4.2.9. Épaisseur de ligne
4.2.10. Lignes
4.2.11. Couleurs de ligne
4.3. Propriétés d'un objet
4.4. Couleurs
4.4.1. Boîte de sélection de couleurs
5. Objets de base
5.1. Introduction aux objets de base
5.1.1. Texte
5.1.2. Boîte
5.1.3. Ellipse
5.1.4. Polygone
5.1.5. Courbe de bésier fermée
5.1.6. Ligne
5.1.7. Arc
5.1.8. Ligne zigzag
5.1.9. Ligne brisée
5.1.10. Courbe de bésier
5.1.11. Images
6. Objets spéciaux
6.1. Introduction aux objets spéciaux
6.2. Catégories d'objets spéciaux
7. Sélectionner des objets
7.1. Introduction à la sélection d'objets
7.2. Comment sélectionner des objets
7.2.1. Sélection de base
7.2.2. Sélection multiple
7.2.3. Autres moyens de sélectionner des objets
7.2.4. Sélectionner des objets connectés
7.2.5. Sélection transitive d'objets
7.2.6. Sélectionner le même type d'objets
8. Charger et sauver des diagrammes
8.1. Charger et sauver des diagrammes : Introduction
8.2. Types de fichiers
8.2.1. Fichiers de diagrammes Dia natifs
8.2.2. Formats d'importation
8.2.3. Exportation: Support d'autres formats
9. Personnalisation
9.1. Personnalisation
10. Gérer les calques
10.1. Introduction aux calques
10.2. Bases de la gestion des calques
10.2.1. Créer un nouveau calque
10.2.2. Sélectionner les calques
10.2.3. Ordonner les calques
10.2.4. Supprimer des calques
10.2.5. Renommer les calques
10.3. Voir les calques
11. Module Custom Shape
11.1. Introduction au module custom-shapes
11.2. Forme
11.3. Description de forme
11.3.1. Attribut style
11.3.2. Éléments svg reconnus
11.4. Description de feuille (sheet)
11.5. De comment Dia vous aide à gérer les feuilles et les formes
11.6. Notes de conception
12. Dia en ligne de commande
12.1. Introduction
12.2. Manuel de la ligne de commande
13. Auteurs
14. Licence
14.1. Licence

Liste des illustrations

2.1. Démo
4.1. Points d'ajustement
4.2. L'icône ligne
4.3. Propriétés de ligne
4.4. Boîte de sélection de couleurs
9.1. La boîte de dialogue préférences


Chapitre 1. Introduction

Table des matières

1.1. Introduction


1.1. Introduction

Dia est une application permettant de créer des diagrammes techniques. Son interface et ses caractéristiques s'inspirent du programme Windows Visio. Dia permet l'impression multi-pages, l'exportation vers de nombreux formats (EPS, SVG, CGM, WMF, VXD et PNG), et la possibilité d'utiliser des formes personnalisées que l'utilisateur crée avec une simple description XML. Dia sert notamment à dessiner des diagrammes UML, des topologies de réseaux, et des diagrammes de flux de données.

Ce manuel documente la version 0.96 de Dia.


Chapitre 2. Démarrage rapide

Table des matières

2.1. Que pouvez-vous faire ?
2.2. Démarrer Dia
2.3. Démarrage rapide : Introduction
2.4. Créer un Canevas
2.5. Réaliser un diagramme
2.6. Enregistrer et imprimer vos diagrammes
2.7. À qui Dia s'adresse ?


2.1. Que pouvez-vous faire ?

Dia est une application d'édition de diagrammes faite pour beaucoup de catégories de personnes. l'apprentissage de Dia est facile d'accès, tout en étant assez flexible pour que les utilisateurs avancés se sentent chez eux avec leurs outils commerciaux. Ci-dessous un exemple de ce que 5 minutes d'usage de Dia peut donner.

Figure 2.1. Démo


2.2. Démarrer Dia

Vous pouvez démarrer Dia en allant dans la section Applications du Menu principal et en cliquant l'icône Dia. Ou vous pouvez taper dia dans une fenêtre de console ou un xterm.


2.3. Démarrage rapide : Introduction

Le démarrage rapide est fait pour l'utilisateur qui ne veut pas lire un manuel entier pour ne réaliser qu'un diagramme basique.


2.4. Créer un Canevas

Tous les diagrammes sont dessinés dans leur propre canevas. Pour créer un nouveau canevas, sélectionner Fichier->Nouveau en haut de la Boîte à outils. Un nouveau canevas apparaît.


2.5. Réaliser un diagramme

Un diagramme est constitué d'objets. Les objets sont des formes de différentes couleurs, formes et tailles. Ils incluent tout, de l'image 2-bits aux photos couleurs et au texte.

Pour ajouter un objet au canevas, cliquer un objet dans la Boîte à outils et cliquer dans le canevas. L'objet sélectionné apparaît. L'objet peut être manipulé principalement en cliquant et tirant les boutons de coin verts.

Dans la Boîte à outils, vous pouvez double-cliquer sur tout objet pour voir ses propriétés avancées. Cela vous permet de modifier les formes en stock selon vos vœux.

Les calques créent des images multiples, chaque calque est une image. Ce faisant, un utilisateur peut éditer un calque sans avoir à s'inquiéter de modifications sur les autres calques.

La transparence permet aux objets d'avoir des parties transparentes, tout ce qui se trouve derrière ces parties est vu à travers (déselectionner « Dessiner le fond » dans les propriétés avancées de l'objet).

Les plugins permettent à l'utilisateur moyen d'ajouter aisément de nouveaux types d'objet à Dia, pour aider à étendre ses fonctionnalités.


2.6. Enregistrer et imprimer vos diagrammes

Enregistrer et imprimer votre diagramme est aussi simple que de créer et modifier votre document.

Dia supporte la sauvegarde et l'impression directe. Si vous avez gnome-print installé, l'impression est très facile !

La commande d'impression se trouve dans le menu fichier lorsqu vous faites un clic droit sur le canevas.

Dia supporte l'exportation vers de nombreux formats, pour une excellente publication vers le web. Sont inclus les formats:

  • Computer Graphics Metafile (.cgm)

  • Postscript Encapsulé (.eps)

  • Format Dia natif (.dia)

  • Portable Network Graphics (.png)

  • Scalable Vector Graphics (.svg)


2.7. À qui Dia s'adresse ?

Dia est intéressant dans de nombreux domaines d'activités :

  • Un ingénieur en électricité peut utiliser Dia pour créer un diagramme démontrant le fonctionnement de ses circuits.

  • Un programmeur peut utiliser un diagramme de flux pour montrer le cheminement de l'exécution de ses programmes.

  • Un administrateur réseau est à même de créer un diagramme pour montrer la disposition de son réseau d'entreprise.


Chapitre 3. Canevas

Table des matières

3.1. Introduction au Canevas
3.2. Lignes de grille
3.3. Règles
3.4. Couleur d'arrière plan
3.5. Zoom (grossir)


3.1. Introduction au Canevas

Le canevas est la partie principale de Dia. Le canevas Dia est la fenêtre où tous les objets de l'utilisateur seront placés sur l'écran et arrangés. Lorsque le diagramme est enregistré ou imprimé, le contenu du canevas est sauvé.


3.2. Lignes de grille

Les lignes de grille sont similaires au lignes sur une feuille de graphe. Elles permettent à l'utilisateur d'aligner facilement les objets sur le canevas. Les lignes de grille peuvent être cachées temporairement pour le document courant en choisissant le détail du menu Affichage -> Afficher la grille . Les lignes de grille peuvent être cachées pour tout nouveau document en allant dans Fichier -> Preferences . Dans l'onglet Caractéristiques de la grille, cliquez la case à cocher nommée Visible et laissez-la vide pour cacher les lignes de grille.


3.3. Règles

Les règles apparaîssent en haut et à gauche du canevas Dia. Elles affichent, en centimètres, la taille du canevas.

Il y a une flèche sur chaque règle. Les flèches bougent sur la règle en fonction de la position du pointeur de souris. Par exemple, si l'utilisateur bouge la souris vers le haut, la flèche de la règle verticale bouge également dans ce sens, indiquant le changement. Ces flèches deviennent très utiles lorsqu'un objet à besoin d'être aligné exactement en un certain point de mesure.

Les règles peuvent être cachées temporairement pour le document courant en choisissant le menu Affichage -> Afficher les règles . Les règles, au contraire des lignes de grille, ne peuvent être cachées par défaut pour les nouveaux documents.


3.4. Couleur d'arrière plan

L'option Couleur d'arrière plan vous permet de changer l'apparence de l'arrière-plan dans le canevas. Par défaut, sa couleur est blanche. Toutefois, la couleur peut-être changée en allant dans Diagramme + Propriétés -> onglet Couleurs et en cliquant la barre nommée arrière-plan. la barre affiche la couleur courante. La couleur des lignes de grille changera automatiquement pour rester visible si la couleur est changée pour « noir ».


3.5. Zoom (grossir)

Zoom permet à l'utilisateur d'avoir une vue rapprochée du diagramme. Cela aide l'utilisateur à faire des dessins de grande précision.

Le canevas peut être « zoomé » jusqu'à 1600 %. Le zoom peut être effectué en cliquant la loupe dans la Boîte à outils et en cliquant sur le canevas. Pour réduire, maintenir la touche « majuscules » et cliquer de nouveau sur le canevas.


Chapitre 4. Objets

Table des matières

4.1. Introduction aux objets
4.2. Utiliser les objets
4.2.1. Ajouter des Objets
4.2.2. Mouvoir les objets
4.2.3. Changer la taille des objets
4.2.4. Supprimer des objets
4.2.5. Aligner les objets
4.2.6. Grouper les objets
4.2.7. Propiétés de la ligne
4.2.8. Styles de ligne
4.2.9. Épaisseur de ligne
4.2.10. Lignes
4.2.11. Couleurs de ligne
4.3. Propriétés d'un objet
4.4. Couleurs
4.4.1. Boîte de sélection de couleurs


4.1. Introduction aux objets

Les objets sont ce qui fait un diagramme. Les objets sont des formes prédéfinies ou définies par l'utilisateur.


4.2. Utiliser les objets

4.2.1. Ajouter des Objets
4.2.2. Mouvoir les objets
4.2.3. Changer la taille des objets
4.2.4. Supprimer des objets
4.2.5. Aligner les objets
4.2.6. Grouper les objets
4.2.7. Propiétés de la ligne
4.2.8. Styles de ligne
4.2.9. Épaisseur de ligne
4.2.10. Lignes
4.2.11. Couleurs de ligne


4.2.1. Ajouter des Objets

Ajouter des objet au canevas Dia peut être accompli en cliquant l'objet désiré dans la Boîte à outils pour sélectionner ce que vous voulez placer dans le canevas. Cliquer le canevas pour y placer l'objet.

Dia fourni deux types d'objets :

  • Les objets définis par l'utilisateur permettent à l'utilisateur de créer ses propres objets, basés sur un « template » préfabriqué.

    Par exemple, cliquer l'objet « carré » et le placer sur le canevas, crée un carré. Les dimensions de l'objet peuvent être changées. Voir la section Changer la taille des objets pour plus d'informations.

  • Les objets prédéfinis ne sont le plus souvent pas éditables. On peut changer leur taille, mais l'objet lui-même ne peut être édité.


4.2.2. Mouvoir les objets

Lorsqu'un objet est inséré dans le canevas, l'objet désiré apparaît avec de petites boîtes vertes (autrement appelées poignées), définissant les bords.

Figure 4.1. Points d'ajustement

La zone à l'intérieur des boites est la surface de l'objet. « Cliquez et maintenez » sur la surface de l'objet. Puis bougez la souris à l'intérieur du canevas pour changer l'objet de place.


4.2.3. Changer la taille des objets

Le paragraphe précédent explique le concept des boîtes vertes. Elles sont utilisées pour manipuler la taille des objets. Pour changer la taille, « cliquer et maintenir » sur un bouton vert. Étirer à la taille désirée et relacher.

Les boutons verts aux coins changent à la fois la largeur et la hauteur. Ceux au centre des côtés haut et bas de l'objet éditent la hauteur, et ceux au milieu des côtés droit et gauche la largeur.

[Astuce] Astuce

Pour garder les proportions avec les boutons de coin, maintenir appuyée la touche Majuscules. Ceci ne s'applique qu'aux objets spéciaux et pas aux formes communes.


4.2.4. Supprimer des objets

Pour supprimer un objet, cliquer dessus pour le sélectionner. Les boîtes vertes apparaissent signalant qu'il est sélectionné. dans le Menu popup standard, choisir Édition->Supprimer

[Astuce] Astuce

Utiliser la touche suppr du clavier après avoir sélectionné l'objet peut être plus rapide.


4.2.5. Aligner les objets

Dia fourni des fonctionnalités pour arranger de multiples objets sans avoir à les bouger individuellement. Par exemple : Menu popup standard Objets->Aligner->Droite


4.2.6. Grouper les objets

Grouper les objets vous permet de traiter plusieurs objets comme un groupe, qui se comporte plus comme un objet unique. Un groupe vous permet de fixer la position des objets en relation avec chacun des autres. Sélectionnez deux ou plusieurs objets, puis Menu popup standard, Objets->Grouper pour les grouper.


4.2.7. Propiétés de la ligne

Un des objets de Dia est la ligne. L'objet ligne est symbolisé par l'icône suivant :

Figure 4.2. L'icône ligne


4.2.8. Styles de ligne

Les lignes peuvent être aisément éditées pour créer, par exemple, des flèches. Au bas de la Boîte à outils se trouvent trois boutons traversés par des lignes. Cliquer et maintenir l'un d'eux ouvre un menu montrant à quoi ressemblera le changement.

Les propriétés d'une ligne existante peuvent être changées en la double-cliquant, ou par click droit/propriétés.

Propriétés de ligne

Figure 4.3. Propriétés de ligne

Les différents styles de ligne sont:

  • solide

  • pointillé

  • trait-point

  • trait-point-point

  • ligne de points


4.2.9. Épaisseur de ligne

La finesse de ligne peut être éditée en cliquant l'une des cinq épaisseurs situées à droite du sélecteur de couleur de la Boîte à outils.


4.2.10. Lignes

L'outil ligne peut être utilisé pour créer des flèches. En cliquant sur les boutons de côté au bas de la Boîte à outils, un menu apparaît, montrant les dessins de début et de fin de ligne pour les flèches.


4.2.11. Couleurs de ligne

La couleur de ligne peut être éditée une fois qu'elle a été placée sur le canevas. En la double-cliquant, une fenêtre apparaît. La seconde ligne est étiquetée « Couleur des lignes », avec une barre montrant la couleur sélectionnée. En cliquant cette barre, vous pouvez changer la couleur.


4.3. Propriétés d'un objet

A chaque objet sont assignées des propriétés qui lui sont particulières. Elle sont accessibles en double-cliquant l'objet déjà placé sur le canevas. Une fenêtre apparaît, vous permettant d'éditer de nombreuses propriétés incluant :

  • Largeur de ligne

  • Couleur des lignes

Parmis d'autres propriétés (qui varient en fonction du type d'objet, p.ex. les...propriétés d'une classe UML).


4.4. Couleurs

4.4.1. Boîte de sélection de couleurs

Tous les objets peuvent être colorés de différentes façons, en fonction des réglages définis par l'utilisateur.

Le sélecteur de couleurs est située près du bas de la Boîte à outils. Deux rectangles réalisent le contrôle. Celui en bas à droite définit la couleur de fond, et l'autre la couleur d'avant-plan (ndt: ~ couleur de ligne). Cliquer sur le rectangle désiré pour éditer, et sélectionner la couleur dans la boîte qui apparaît. Voir plus bas la boîte de sélection de couleurs.

[Note] Note

Ces sélecteurs de couleur permettent seulement de sélectionner les couleurs des objets qui n'ont pas encore été placés sur le canevas.

[Astuce] Astuce

Pour inverser les couleurs, cliquez sur la double-flèche en haut à droite des deux rectangles de couleurs sur la Boîte à outils.

[Astuce] Astuce

Pour remettre à zéro les couleurs, cliquer les deux petits carrés noir et blanc en bas à gauche des rectangles de couleur sur la Boîte à outils


4.4.1. Boîte de sélection de couleurs

Boîte de sélection de couleurs

Figure 4.4. Boîte de sélection de couleurs

La boîte de sélection de couleurs est divisée en 6 zones :

  • La roue de couleurs : cliquez et glissez le cercle extérieur pour définir la teinte, puis cliquez et déplacez le petit cercle à l'intérieur du triangle pour définir saturation et valeur.

  • Sous la roue de couleur se trouvent deux rectangles. Celui de gauche indique la couleur courante, alors que celui de droite affiche la nouvelle couleur (celle qui sera définie si vous Validez).

    Immédiatement à droite de ces rectangle se trouve le bouton pipette. En cliquant ce bouton, le pointeur de souris se transforme en pipette. Vous pouvez, en cliquant sur un canevas ou dans un document ouvert dans une autre application (comme The Gimp), récupérer n'importe-quelle couleur !

  • Encore à droite se trouve une palette de couleurs prédéfinies. cliquer un des rectangles pour choisir la couleur.

  • En haut au milieu se trouvent les réglages TSV (Teinte/Saturation/Valeur). On peut modifier le contenu en frappant ou par les ascenseurs.

  • A droite, les réglages RGB (Rouge, Vert, Bleu). Même principe que pour le TSV.

  • En dessous, La case nom de la couleur. Supporte les noms standards de couleur (en anglais, c.f. couleurs HTML4.01 sur http://www.w3.org), et les valeurs hexadécimales (0-9A-F) sur trois ou six octets.


Chapitre 5. Objets de base

Table des matières

5.1. Introduction aux objets de base
5.1.1. Texte
5.1.2. Boîte
5.1.3. Ellipse
5.1.4. Polygone
5.1.5. Courbe de bésier fermée
5.1.6. Ligne
5.1.7. Arc
5.1.8. Ligne zigzag
5.1.9. Ligne brisée
5.1.10. Courbe de bésier
5.1.11. Images


5.1. Introduction aux objets de base

5.1.1. Texte
5.1.2. Boîte
5.1.3. Ellipse
5.1.4. Polygone
5.1.5. Courbe de bésier fermée
5.1.6. Ligne
5.1.7. Arc
5.1.8. Ligne zigzag
5.1.9. Ligne brisée
5.1.10. Courbe de bésier
5.1.11. Images

Le premier et plus répandu type d'objet est l'objet de base. Les objets de base sont normalement des formes géométriques, qui peuvent être personnalisées. Dia offre à l'utilisateur de nombreux objets de base.


5.1.1. Texte

Dia supporte supporte l'utilisation de texte comme son propre type d'objet. Un texte peut être placé sur le canevas en cliquant sur le bouton T (texte) dans la Boîte à outils.

L'objet texte, et plusieurs autres objets, offrent une entrée directe de texte dans le diagramme. Le texte peut être saisi en sélectionnant l'objet et en tapant le texte. La fonte, la taille, et autres propriétés de format peuvent être changées en double-cliquant l'objet.

Voici quelques trucs importants à-propos des raccourcis clavier dans les entrées de texte.

  • Les combinaisons normales Couper / Copier / Coller (CTRL-C, CTRL-X, CTRL-V) ne fonctionnent pas pour le texte, mais pour l'ensemble de l'objet. Utiliser CTRL-MAJ-X pour couper et CTRL-MAJ-V pour coller seulement le texte. Il n'y a pas de raccourci permettant la copie seule de texte.

    [Note] Note

    Lorsque vous collez du texte dans un objet, le texte est formatté selon les propriétés de l'objet de destination et non de celui du texte source.

  • On ne peut pas sélectionner de portion de texte à la souris (cela déplace l'objet). Vous pouvez insérer des caractères à la position courante du curseur simplement en les tapant. Vous pouvez supprimer le caractère à gauche du pointeur de la souris avec la touche retour arrière (backspace).

    [Note] Note

    La touche SUPPR supprime l'objet entier et non le texte à la droite du curseur. Utilisez MAJ-SUPPR pour supprimer ce texte (et utilisez édition/annuler si vous supprimez un objet par erreur). Pour supprimer tout le texte, utilisez Couper (CTRL-MAJ-X).

  • Si vous utilizez une police ou une taille de police autre que celle par défaut, une astuce pour être plus productif est de créer une palette d'objets vides avec les attributs voulus sur un diagramme séparé. Copiez et collez ces objets sur votre diagramme de travail au fur et à mesure des besoins, plutôt que d'utiliser la boîte à outils.

[Note] Note

Le Texte dans Dia peut utiliser toute fonte disponible à Gnome.


5.1.2. Boîte

Les boîtes dans Dia peuvent être personnalisées pour prendre n'importe quelle taille désirée par l'utilisateur. Les propriétés disponibles sont :

  • Arrondis des coins -- fait que les coins sont arrondis plutôt qu'à bords durs.

  • Dessiner le fond -- garde le centre transparent ou remplit avec la couleur de remplissage.


5.1.3. Ellipse

Une ellipse est une forme avec des faces arrondies, comme un cercle ou un ovale.


5.1.4. Polygone

Un polygone est une forme faite de lignes droites. L'outil polygone permet à l'utilisateur de créer des formes avec toutes leurs lignes droites.


5.1.5. Courbe de bésier fermée

Une courbe de bésier fermée est similaire au polygone car l'utilisateur définit la forme. D'autre part, il diffère du polygone en ce qu'il permet à des courbes d'exister dans la forme.


5.1.6. Ligne

Une ligne est simplement... une ligne. Référez-vous à la section ligne pour trouver plus d'information.


5.1.7. Arc

Un arc est une ligne qui a été courbée pour créer une forme de demi-cercle.


5.1.8. Ligne zigzag

Une ligne zigzag est une ligne qui a un angle aigû à 90 degrés. Elle est similaire à des marches d'escalier.


5.1.9. Ligne brisée

Une ligne brisée est comme une ligne zigzag, mais n'a pas nécessairement des angles à 90 degrés. Les angles peuvent être personnalisés.


5.1.10. Courbe de bésier

Une courbe de bésier est une ligne courbe. L'outil bésier est édité en cliquant et tirant les points verts et orange. Les points verts règlent la taille alors que les points orange règlent les angle auquel la courbe s'incurve.


5.1.11. Images

Le canevas Dia peut posséder des images aussi bien que des formes.

Pour ajouter une image, cliquez le bouton image et ajoutez-le au canevas. Un objet affichant « Broken Image » apparaît. Double-cliquer pour ouvrir les propriétés. Cliquer parcourir et sélectionner votre fichier. Cliquer Ouvrir puis Valider et l'image sera mise à jour en conséquence.

Les formats d'image suivants sont actuellement supportés pour l'inclusion dans les diagrammes Dia :

  • ANI

  • BMP

  • GIF

  • ICO

  • JPEG

  • PNG

  • PNM

  • RAS

  • SVG

  • TGA

  • TIFF

  • WMF

  • XBM

  • XPM


Chapitre 6. Objets spéciaux

Table des matières

6.1. Introduction aux objets spéciaux
6.2. Catégories d'objets spéciaux


6.1. Introduction aux objets spéciaux

La discussion précédente définissait l'objet de base. La section suivante franchit une étape et vous apprend comment créer des objets, comment utiliser des objets préfabriqués, qui sont plus détaillés que les formes, et beaucoup plus !


6.2. Catégories d'objets spéciaux

Les objets spéciaux sont séparés en différentes catégories, ou feuilles. De cette façon, à quelqu'un créant un diagramme de circuit imprimé n'est montré que les objets s'y appliquant. Dia supporte de nombreuses catégories prédéfinies.

Formes assorties

Formes géométriques assorties. L'objet de cette feuille est de fournir une sélection simple et appropriée de formes basiques prédéfinies qu'un utilisateur a besoin de créer, sans qu'il ait à perdre de temps à créer les siennes. Ce jeu de formes inclut des cercles, carrés, des triangles variés et des croix.

Génie chimique

Une collection d'objets pour modeler le processus de génie chimique.

Chronogramme

Objets utilisés dans le design chronographique. Lignes de temps banales.

Circuit

Un groupe pour ceux interressés par la création de diagrammes de circuits électriques.

Génie civil

Composants de génie civil.

Cybernétique

Formes pour créer des diagrammes de circuits cybernétiques.

Cisco

Formes représentant des équipements de marque Cisco (fabriquant d'équipements de réseaux informatiques).

Ladder

Programmation graphique 'Ladder' (contrôles électriques dans la fabrication d'automates)

ER

Editeur pour les diagrammes Entité Relations (ER). Les diagrammes ER sont utilisés pour représenter des descriptions de haut niveau de modèles conceptuels. Ils décrivent de quelle façon chaque entité de donnée est en relation avec d'autres données dans le modèle. Ces diagrammes sont le plus souvent utilisés pour modeler la structure des données stockées dans une base de données.

Structure de fonction, FS.

Éditeur de diagrammes de structures de fonction (FS). Notez que les objets requièrent l'usage du menu contextuel (bouton du mileu de la souris, ou droit avec la barre de menus activée) pour accéder à la plupart des fonctionnalités de ces objets.

Graphes de flux

Un groupe dédié à la fourniture de formes utilisées couremment dans les graphes de flux. Les graphes de flux sont la routine dans la programmation informatique, le marketting, l'économie, et toute opération semi-linéaire requiérant une planification.

GRAFCET

Les diagrammes Grafcet (ou IEC 61131-3 SFC). Utilisés dans la programmation graphique et la documentation de processus séquentiels dans la production automatisée.

Une carte montre l'étape, l'action, la transition, et la condition associée à la transition.

Ingénierie des exigences, représentation Istar

Istar est un framework orienté agent. Istar s'écrit également i*.

Ingénierie des exigences - représentation de Jackson

Diagrammes de méthode Jackson Software Design (JSD).

Ingénierie des exigences - représentation KAOS

Diagrammes KAOS.

Map, Isometric

Formes isométriques pseudo 3D pour créer des cartes directionnelles. Microsoft Visio appelle ces formes « Map, Directional Map 3D ».

Divers

Formes diverses qui n'entrent dans aucun autre groupe. Inclues des formes de système de fichiers et une horloge animée indiquant l'heure réelle.

MSE

Mobile Subscriber Equipment Components, Utilisée par l'US Army.

Réseau

Utilisée par les administrateurs réseau pouur créer leur schéma de réseau.

Électricité

Schéma dans le style DIN de contrôles électriques (dans la fabrication d'automatismes)

Pneumatique/Hydraulique

Permet la création de schémas d'automatisme pneumatique.

SADT/IDEF0

Structured Analysis Design Technique.

SDL

Specification and Description Language (SDL). SDL est utilisé pour décrire le comportement de systèmes interactifs basés sur le temps. SDL était originellement axé sur les systèmes de télécommunication, mais commence d'être utilisé pour décrire les processus de contrôle des applications en temps réel en général.

Sybase

Dessin de diagrames affichant le flux d'un réseau informatique Sybase.

UML

Unified Modelling Language (UML). UML est un langage de modèle et de spécification utilisé couremment pour créer des diagrammes montrant la structure d'un code informatique orienté objet, en particulier pour les projets à grande échelle.


Chapitre 7. Sélectionner des objets

Table des matières

7.1. Introduction à la sélection d'objets
7.2. Comment sélectionner des objets
7.2.1. Sélection de base
7.2.2. Sélection multiple
7.2.3. Autres moyens de sélectionner des objets
7.2.4. Sélectionner des objets connectés
7.2.5. Sélection transitive d'objets
7.2.6. Sélectionner le même type d'objets


7.1. Introduction à la sélection d'objets

Sélectionner des objets est probablement la tâche la plus fréquente lors de l'usage de Dia. Du moment où vous créez un nouvel objet au moment où vous pensez que le diagramme est ce qu'il devrait être, vous aurez toujours à sélectionner des objets pour les composer correctement.

Lorque vous sélectionnez un objet, vous y amenez le focus pour l'éditer. Un objet qui n'est pas sélectionné ne peut être édité.

Sélectionner des objets peut être fait de différentes façons, et beaucoup d'opérations peuvent être conduites sur ces objets sélectionnés.

Vous pouvez sélectionner des objets pour simplement les déplacer dans le diagramme, ou pour les grouper de façon logique de façon à les manipuler plus facilement, les connecter à d'autres, ou simplement les ôter du diagramme.


7.2. Comment sélectionner des objets

7.2.1. Sélection de base
7.2.2. Sélection multiple
7.2.3. Autres moyens de sélectionner des objets
7.2.4. Sélectionner des objets connectés
7.2.5. Sélection transitive d'objets
7.2.6. Sélectionner le même type d'objets


7.2.1. Sélection de base

La manière de base pour sélectionner un objet est de cliquer dessus.

Lorqu'un objet est sélectionné apparaissent sur le diagramme de petits points verts sur ses faces et ses coins.

Une fois les points apparus, vous pouvez commencer à manipuler cet objet selon vos souhaits. Lorsque vous avez terminé vous pouvez déselectionner cet objet en cliquant un espace libre du diagramme. Les points verts disparaîtront et la sélection d'un autre objet deviendra possible.


7.2.2. Sélection multiple

La manière la plus simple pour sélectionner plus d'un objet à la fois, est de cliquer sur un espace libre du diagramme avec le bouton gauche de la souris, et tout en le pressant de bouger la souris. Le faire dessinera un fin rectangle sur le canevas. Tous les objets présents à l'intérieur de cette zone seront sélectionnés lorsque vous relacherez le bouton.

Un autre moyen est de maintenir la touche Majuscules en cliquant pour sélectionner les objets un par un.

Une fois votre sélection complète, chacun des objets sélectionnés apparaît avec ses points verts comme décrits ci-dessus.

La sélection multiple est très utile lorsque vous voulez appliquer la même opération sur de nombreux objets différents, et ne voulez pas perdre de temps à les sélectionner un par un.

Une fois sélectionnés, les objets se comportent comme un groupe. Ce qui veut dire que si vous essayez d'en supprimer un, tout le groupe sera supprimé du diagramme.

Si vous cliquez sur un espace libre du diagramme ou changez de calque, vous perdrez la sélection. Si vous voulez ajouter d'autres objets à la sélection, maintenez simplement de nouveau pressée la touche Majuscules et cliquez sur les items que vous désirez ajouter.

[Note] Note

En supposant que vous avez sélectionné des objets dans votre diagramme, il reste possible de changer la taille de l'un d'eux sans changer la taille ou la position des autres objets sélectionnés. Pour apprendre comment changer la taille des objets voir la section Changer la taille des objets.


7.2.3. Autres moyens de sélectionner des objets

D'autres moyens de sélectionner des objets sont décris ci-dessous, toutes ces options peuvent être atteintes dans le Menu popup standard dans le sous-menu Sélection :

Sélectionner tous les objets

Choisir l'option Tout vous permet de sélectionner tous les objets du calque courant de la même manière que vous le feriez à la main.

Cette option est un raccourci, lorsque votre diagramme comporte beaucoup d'objets et que vous ne voulez pas perdre de temps en les sélectionnant un par un.

Déselectionner tous les objets

Sélectionner l'option Aucun déselectionnera tous les objets que vous avez sélectionné auparavant. Cela a le même effet que de cliquer sur un espace libre du diagramme.

Après que vous ayez déselectionné les objets vous ne pouvez plus effectuer d'opération sur eux. Aussi vous avez à les sélectionner de nouveau pour continuer.

[Astuce] Astuce

Souvent, vous aurez à garder vos sélections persistantes. Pour ce faire, vous pouvez créer un groupe des objets sélectionnés, ou les couper et les coller dans un nouveau calque qui contiendra tous les objets de votre sélection.

Inverser la sélection

En admettant que vous ayez dix items dans votre diagramme, et ne voulez en sélectionner que huit. Un moyen est de simplement sélectionner les deux objets dont vous n'avez pas besoin, puis de sélectionner l'option Inverse du menu Sélection. Les huit objets que vous désirez seront sélectionnés et les deux autres laissés à part.

[Astuce] Astuce

Un autre moyen est de choisir Sélection->Tout comme décrit plus haut, et de presser la touche Majuscules tout en désectionnant les objets dont vous n'avez pas besoin.

[Note] Note

Seuls les objets présents sur le calque courant peuvent être sélectionnés. si un objet ne peut être sélectionné, c'est probablement qu'il est situé sur un autre calque. Référez-vous à la section Gérer les calques pour apprendre comment changer de calque ou comment en manipuler beaucoup.


7.2.4. Sélectionner des objets connectés

Une fonction réellement puissante de Dia est sa capacité à gérer les connexions entre objets.

Les connexions, dans Dia, ont de nombreux usages. Le premier -- et pas le dernier -- est d'expliciter une relation directe entre deux objets.

Le second peut-être de facilement gérer les objets, se comportant efficacement dans les règles établies suivantes, accessibles en quelques clics.

Sélectionner les objets connectés à un objet particulier est aussi simple que de sélectionner cet objet, faire un clic droit sur le canevas pour obtenir le Menu popup standard et cliquer le bouton Sélection->Connectés.

Si aucun objet n'y est connecté, cela n'aura aucun effet. Autrement, tous les objets connectés seront miraculeusement sélectionnés et formeront un nouveau groupe d'objets sélectionnés temporairement.

[Note] Note

Si vous répétez cette opération, tous les objets connectés à ce nouveau groupe seront ajoutés à la sélection.

Vous pouvez répéter cette opération jusqu'à sélectionner tous les objets interconnectés.


7.2.5. Sélection transitive d'objets

La technique montrée au-dessus est bonne lorsque vous désirez sélectionner un petit nombre d'objets connectés à la fois.

Quelquefois, vous aurez à sélectionner une grosse grappe d'objets connectés tous ensemble. Sélectionner les objets par cette voie, étape par étape, n'est pas efficace.

C'est pour cette raison que Dia vous offre de procéder à toutes ces étapes en une seule fois.

Pour ce faire, sélectionnez l'objet racine que vous désirez, puis cliquez sur le canevas pour obtenir le Menu popup standard sur l'écran, mais cette fois choisissez le bouton Sélection->Transitif à la place de Connectés.

Et voilà, tous les objets connectés à l'objet racine que vous avez choisi sont maintenant sélectionnés et prêts à être manipulés. Ils attendent que vous leur appliquiez les opérations que vous voulez.


7.2.6. Sélectionner le même type d'objets

Dia implémente des ruses pour sélectionner des objets issus du même type.

Ce qui veut dire que si, pour quelque raison, vous avez besoin de sélectionner des objets correspondant au même type (tout rectangle, ligne, ou forme personnalisée), vous pourrez le faire en sélectionnant un objet de ce type et en cliquant, dans le Menu popup standard, le bouton Sélection->Même type.

Cela sélectionnera automatiquement tous les objets qui correspondent au type que vous avez choisi. Seuls les objets du calque courant seront sélectionnés.


Chapitre 8. Charger et sauver des diagrammes

Table des matières

8.1. Charger et sauver des diagrammes : Introduction
8.2. Types de fichiers
8.2.1. Fichiers de diagrammes Dia natifs
8.2.2. Formats d'importation
8.2.3. Exportation: Support d'autres formats


8.1. Charger et sauver des diagrammes : Introduction

Dia suit le modèle de sauvegarde commun à la plupart des applications : vous devez sauver explicitement chaque canevas que vous désirez retenir pour un usage futur. Pour sauver un fichier, utilisez Fichier->Enregistrer du Menu popup standard. Le résultat est une boîte de dialogue de sauvegarde standard. Votre canevas est sauvé dans le format XML Dia. Aucune extension de fichier n'est ajoutée automatiquement, aussi il est une bonne idée d'ajouter « .dia » au nom que vous entrez.

Pour charger un canevas à partir d'un fichier sauvé précédemment par Dia ou créé par une autre application, sélectionnez Fichier->Ouvrir de l'interface Barre de menu principale. Le résultat est une boîte de dialogue ouvrir ; selectionnez le fichier que vous désirez et choisissez le bouton Ouvrir. la boîte de dialogue ouvrir est standard à part le menu popup étiqueté Déterminer le type de fichier. Choisissez le format du fichier à ouvrir (Dia XML, ou Drawing Interchange, ou un autre format) si Dia ne détermine pas correctement le format sans assistance.

Une méthode alternative pour charger un fichier est de démarrer Dia à partir de la ligne de commande avec le nom du fichier donné en argument.


8.2. Types de fichiers

8.2.1. Fichiers de diagrammes Dia natifs
8.2.2. Formats d'importation
8.2.3. Exportation: Support d'autres formats

Quelques mots sur les types de fichier sont de rigueur. Vous devriez être attentif à ce que tous les formats de fichier ne peuvent être rechargés dans Dia après sauvegarde et que la plupart des formats de fichier supportés perdent un certain degré d'information.


8.2.1. Fichiers de diagrammes Dia natifs

Le seul format garanti sans perte est Dia XML. Heureusement, vous n'avez aucune chance de sauvegarder accidentellement dans un format avec pertes car Fichier->Enregistrer Produit toujours un fichier de format Dia XML.

Les fichiers de format Dia XML sont compressés automatiquement en utilisant gzip pour sauver de l'espace disque. Ceci est presque nécessaire puisque, sans compression, même des diagrammes simples sont très gros, puisqu'ils stockent beaucoup d'informations redondantes. Les fichiers Dia XML sont déjà compressés, aussi les compresser de nouveau dans un autre format d'archive n'aidera pas à les rendre significativement plus petits.


8.2.2. Formats d'importation

Dia peut importer les types de fichiers suivants :

  • Scalable Vector Graphics (.svg)

  • format AutoCad Drawing eXchange (.dxf)

  • format de fichier XFig (.fig)

  • graphiques GdkPixbuf bitmpap (.bmp, .gif, .jpg, .png, .pnm, .ras, .tif, .wmf)

  • format de fichier XML MS Visio (.vdx)


8.2.3. Exportation: Support d'autres formats

Dia supporte l'exportation dans beaucoup d'autres types de fichiers, comme :

  • Computer Graphics Metafile (.cgm)

  • Diagramme natif Dia (.dia)

  • Fichier de forme Dia (.shape)

  • AutoCad Drawing eXchange Format (.dxf)

  • Langages Graphique HP (.plt, .hpgl)

  • Postscript Encapsulé (.eps, .epsi)

  • Portable Network Graphics (.png)

  • Scalable Vector Graphics (.svg)

  • Scalable Vector Graphics compressé gzip (.svgz)

  • macros TeX Metapost (.mp)

  • macros TeX PSTricks (.tex)

  • WordPerfect Graphics (.wpg)

  • format XFig (.fig)

  • XSLT (eXtensible Stylesheet Language Transformation) (.code)

Dia ne peut charger de fichiers dans la plupart de ces formats. ces formats sont utiles pour les diagrammes que vous avez besoin d'utiliser dans une autre application (comme le World-wide Web), ou de distribuer à des utilisateurs d'un autre système d'exploitation que Dia ne supporte pas.

Pour créer un fichier dans un de ces formats, sélectionnez Fichier->Exporter... dans le Menu popup standard. Choisissez un nom et le format désiré dans le dialogue résultant, qui fonctionne comme le dialogue Enregistrer. Une extension de fichier appropriée est ajoutée automatiquement.


Chapitre 9. Personnalisation

Table des matières

9.1. Personnalisation


9.1. Personnalisation

Dia peut être changé en quelques façons, permettant à l'utilisateur de faire que Dia corresponde plus à ses besoin.

Pour changer les réglages de comportement, sélectionner Fichier->Préférences dans la barre de menus de la Boîte à outils. Cela ouvre la boîte de dialogue Préférences.

La boîte de dialogue préférences

Figure 9.1. La boîte de dialogue préférences

Les propriétés configurables dans l'onglet Interface utilisateur sont :

  • Quitter un outil après une création. Si ce bouton est coché, alors les boutons dans la Boîte à outils seront réinitialisés à l'outil « Modifie les objets » après avoir été utilisés une fois. Si le bouton est décoché, alors l'outil courant sera actif jusqu'à ce qu'un autre outil soit choisi, ce qui est pratique lorsque vous voulez dessiner beaucoup de formes à la suite en utilisant le même outil.

  • Compresser les fichiers enregistrés, fournit l'option de compression des fichiers XML Dia dans des fichiers de taille réduite en utilisant gzip, ou permet de laisser les fichiers Dia XML en texte plein, qui peuvent être plus facilement édités avec d'autres logiciels.

  • Un rectangle de sélection inversé sélectionne tous les objets ayant une intersection avec lui, ce qui veut dire que vous pouvez créer des sélections ne couvrant qu'une partie de l'objet que vous voulez sélectionner, alors que normalement vous avez besoin de créer une sélection autour de l'objet que vous voulez sélectionnner dans sa totalité.

    L'entraînement inversé signifie créer une sélection en entraînant en direction « en haut, à gauche », à l'opposé de la sélection en bas, à droite.

    Ceci peut être utile lorsque vous voulez faire des sélections très précises alors qu'il y a beaucoup d'objets sur le canevas.

  • le Nombre de niveaux d'annulation définit combien d'étapes l'outil Édition/défaire se rappelle. L'utilisateur peut revenir en arrière d'autant d'étapes que ce nombre est élevé, consommant alors d'autant plus de mémoire. Régler le nombre de niveaux d'annulation à zéro ne le désactive pas, il donne un nombre infini d'annulations (ce qui veut dire qu'il utilise autant de mémoire de l'ordinateur que possible).

  • La taille de la liste des documents récents vous permet de régler le nombre de choix qui seront afichés dans la section Documents Récents du menu Fichiers.

    [Note] Note

    ndt : cette section n'existe pas encore dans la version 0.96...

  • Utiliser la barre de menus vous permet d'avoir une barre de menus en haut de chaque canevas au lieu d'avoir besoin du clic droit pour accéder aux menus. Avec cette barre de menus activée vous pouvez accéder au menu contexte de l'objet par un clic droit (au lieu du clic du milieu, ce qui est essentiel pour ceux qui n'ont pas une souris à trois boutons).

  • Maintenir la Boîte à outils par-dessus les diagrammes s'assure que la Boîte à outils est toujours en avant de toutes les fenêtres de canevas ce qui rend plus facile de garder sa trace, et de toujours avoir un accès rapide à l'outil.

Les propriétés configurables dans l'onglet Menu des diagrammes sont :

  • portrait : permet de définir qu'un nouveau diagramme soit orienté en portrait ou en paysage selon qu'il est coché ou non.

  • Type de papier : définit la taille de papier normalisé d'une page d'un nouveau diagramme.

  • Couleur d'arrièrere-plan : définit la couleur d'arrière-plan d'un nouveau diagramme.

  • Largeur : contrôle la largeur, en pixels, d'une nouvelle fenêtre.

  • Hauteur : contrôle la hauteur, en pixels, d'une nouvelle fenêtre.

  • Grossissement : règle le facteur de multiplication du zoom d'une nouvelle fenêtre.

  • Visible : définit la visibilité des points de connexion.

Les propriétés configurables dans l'onglet Caractéristiques de la grille Sont :

  • Visible (ou non)

  • Magnétisme : fait que les objets sont attirés aux intersections de la grille. Ceci permettant un alignement plus aisé des objets, les objets séparés revenant brusquement à la même ligne.

  • Largeur du pas : l'utilisateur définit un multiplicateur qui règle l'espacement horizontal des lignes de la grille.

  • Hauteur du pas : l'utilisateur définit un multiplicateur qui règle l'espacement vertical des lignes de la grille.

  • Couleur : règle la couleur d'affichage des lignes de la grille.

  • Lignes par subdivision majeure : indique ce que sera l'emplacement des bords de page lorsque vous imprimez le diagramme.

Après que vous ayez fait tous les changements voulus, cliquez le bouton Valider pour appliquer les changements et fermer le dialogue Préférences. Pour annuler les changements, cliquez le bouton Fermer. Vous pouvez prévisualiser les effets de vos changements en utilisant le bouton Appliquer.


Chapitre 10. Gérer les calques

Table des matières

10.1. Introduction aux calques
10.2. Bases de la gestion des calques
10.2.1. Créer un nouveau calque
10.2.2. Sélectionner les calques
10.2.3. Ordonner les calques
10.2.4. Supprimer des calques
10.2.5. Renommer les calques
10.3. Voir les calques


10.1. Introduction aux calques

Dans Dia, les diagrammes consistent en l'objet canevas, en objets calques, et en objets éléments de diagramme. L'objet calque peut être comparé à une feuille se situant au-dessus du canevas. Chaque feuille peut posséder des éléments de diagramme y-ajoutés pour fabriquer un diagramme. Chaque diagramme consiste en au moins un calque et chaque diagramme peut consister en autant de calques que requiert l'auteur du diagramme.

Comme usage générique, les calques visent à être un raccourci pour grouper des objets en relation à l'intérieur d'un diagramme. Ils permettent d'isoler les différentes parties d'un diagramme, dans une voie qui vous permet de décider de montrer seulement certaines de ses parties, et pas d'autres qui resteront cachées même lors de l'exportation ou de l'impression du diagramme.

[Astuce] Astuce

Utilisez l'option --show-layers de la ligne de commande pour contrôler quels calques seront visibles lors d'une exportation par lot.

Dans un calque, toute opération que vous voudriez faire sur des objets sont possible à travers le Menu popup standard, vous pouvez influer sur les objets exactement de la même manière que d'habitude.

[Astuce] Astuce

Seul les objets présents dans le calque courant peuvent être sélectionnnés. Si un objet ne veut décidément pas être sélectionné, vous devriez vérifier si il est affecté au calque courant ou non.

Chaque nouveau diagramme vient avec un calque par défaut étiqueté « Arrière-plan ». Vous pouvez bien-sûr changer son nom et ses réglages à vos besoins comme vous pouvez le faire pour n'importe quel autre calque.

Vous pouvez utiliser les calques pour créer un diaporama par recouvrement, en dessinant chaque diapo augmentée dans un calque et manipulant la visibilité des calques. Si vous voulez automatiser un post-processus comme un diaporama, vous pouvez utiliser l'option --show-layers de la ligne de commande. Par exemple : dia --show-layers="Arrière-plan",Dia3 --filter=eps-builtin --export=foo.eps foo.dia Exportera les calques « Arrière-plan » et « Dia3 », càd. que la sortie EPS aura seulement ces deux calques et pas d'autres. Vous voudrez alors répéter l'exportation pour chaque combinaison de calques dont vous avez besoin pour produire vos diapos. En utilisant cette option et un script shell ou un Makefile, vous pouvez correctement automatiser le processus d'exportation.


10.2. Bases de la gestion des calques

10.2.1. Créer un nouveau calque
10.2.2. Sélectionner les calques
10.2.3. Ordonner les calques
10.2.4. Supprimer des calques
10.2.5. Renommer les calques

Le dialogue Calques est utilisé pour gérer l'ordre et le visibilité de chaque calque dans le diagrammme.


10.2.1. Créer un nouveau calque

Créer un nouveau calque est possible en cliquant le bouton Ajouter en bas à gauche de la boîte de dialogue Calques . Puisque la boîte de dialogue Calques n'est pas spécifique au diagramme mais à l'application, vous avez à choisir dans quel diagramme va le calque. Pour ce faire, en haut du dialogue Calques, sélectionner le diagramme devant recevoir le nouveau calque et ajoutez-y celui-ci.

Le calque nouvellement créé sera placé en haut de la pile et deviendra le calque courant du diagramme sélectionné.

Il est alors possible d'éditer quelque objet de votre choix, de copier et coller à-partir de n'importe-quel calque ou diagramme, comme vous pourriez le faire dans un diagramme à un seul calque.


10.2.2. Sélectionner les calques

Un calque est dit « activé » lorsqu'il est sélectionné dans le dialogue Calques. Pour sélectionner un calque, il suffit de cliquer son nom dans le dialogue. Le calque sélectionné sera alors surligné dans le dialogue. Les changements faits au diagramme ne seront effectués que dans le calque sélectionné.

[Note] Note

Seul un calque peut-être sélectionné à la fois. De cette façon vous pouvez faire quoi que vous désirez dans ce calque sans affecter les autres calques de votre diagramme.


10.2.3. Ordonner les calques

À côté du bouton Ajouter au bas de l'interface Calques, se trouvent deux boutons utiles qui vous permettent de régler l'ordre de la pile de calques que vous avez créés.

Ces deux boutons sont utilisés pour monter ou descendre les calques dans la hiérarchie. Le bouton avec la flèche haut est utilisé pour monter le calque actif, alors que celui avec la flèche bas permet de descendre la position du calque dans la hiérarchie.

Ordonner les calque peut-être très utile lorsque vous voulez cacher certaines parties d'un objet avec un autre.


10.2.4. Supprimer des calques

Lorsqu'un calque n'est plus requis, vous pouvez le supprimer. Lorsque vous supprimez un calque, celui-ci et tous les objets qu'il contient sont retirés du canevas. Les calques sont supprimés du canevas en cliquant le bouton Supprimer. Cela bien-sûr n'affecte que le calque actuellement sélectionné.

Le faire de façon régulière est la meilleure façon de garder votre diagrame propre et léger lorsque vous voulez exporter celui-ci dans un autre format que le format natif Dia.


10.2.5. Renommer les calques

Les calques peuvent être renommés pour exprimer quelle partie du diagramme ils représentent, leur permettant d'être rapidement retrouvés parmis les autres. Plus important, les calques peuvent être montrés ou cachés, dépendant de quelle partie du diagramme vous désirez afficher.

Double-cliquer le nom du calque ouvre le dialogue Éditer les attributs du calque, qui affiche le nom courant du calque dans une boîte de texte. Entrer un nouveau nom dans la boîte de texte. Pour confirmer les changements, appuyer sur le bouton Valider. Sélectionner le bouton Annuler Fermera la boîte de dialogue Calques sans faire aucun changement.

[Astuce] Astuce

Donner des nom aux calques qui en décrivent l'usage est utile pour rappeler ce pour quoi ils sont faits. N'hésitez pas à créer de nombreux calques différents, Dia ne vous impose pas de contraites quant au nombre de calques que vous avez créés, aussi sentez-vous libre d'ajuster la hiérarchie du diagramme à vos besoins.


10.3. Voir les calques

Maintenant que vous avez vu ce que sont les bases de la manipulation des calques, vous comprendrez pourquoi les calques sont un puissant outil lorsque vous créez et maintenez des diagrames avec Dia.

Comprendre ce à quoi servent les calques peut améliorer de façon spectaculaire la qualité et l'effet visuel que vos diagrammes produiront.

Par exemple, imaginez que vous construisez un diagramme comprenant beaucoup d'objets, comme un diagrame UML ou électrique. Si vous placez tous vos objets dans le même calque, -- Arrière-plan --, après peu de temps vous obtiendrez un énorme brouillon ingérable, duquel vous ne voudrez rien faire. Y changer quoi que ce soit sera pénible, vous perdrez du temps à vous rappeler quel objet est connecté à tel objet qui semble prendre tout l'espace au milieu de la mélasse d'objets que vous avez déjà posés ici.

Puisque Dia est un Constructeur de diagrammes structurés, tous les diagrammes que vous construisez avec sont naturellement structurés et divisés en plein de petits morceaux. Utiliser une approche avec calques permet de mieux gérer de grands nombres de pièces, de façon plus aisée et efficace que vous pourriez le faire avec un simple et monolithique bloc d'objets.

[Note] Note

Par définition, un diagramme doit être structuré. Aussi le diviser en plusieurs parties logique devrait être un processus facile. C'est là que les calques deviennent un outil important et pratique pour la gestion du contenu des diagrammes. Ils vous permettent d'isoler chacune des parties en diapositives séparées, aussi il devient un réel plaisir de les manipuler de la façon que vous préférez.

L'icone « œil » à la gauche du nom du calque est ce qui fait que les calque sont si utiles. Elle vous permet de montrer ou cacher le calque correspondant. Ce qui veut dire que si pour quelque raison vous décider de cacher un calque particulier, il vous suffit de cliquer l'icone « œil » : le calque et tout ce qu'il contient disparaîtront du canevas. Si vous maintenez la touche majuscules et cliquez l'icone « œil », vous cachez tous les autres calques excepté le calque courant, et si vous cliquez de nouveau tout en maintenant la touche majuscules tous les autres calques seront de nouveau apparents.

Ne visualiser que certains calques est réellement pratique lorsque vous voulez manipuler une petite partie du diagramme sans affecter le reste. Des utilisateurs créent des calques séparés pour contenir tous leurs objets texte et utilisent des calques différents pour contenir les traductions dans d'autres langages. Vous pouvez aussi travailler de cette façon si vous voulez imprimer votre diagramme sur différentes pages ou tester différents réglages qui peuvent affecter le rendu de cette partie. De nouveau, sentez-vous libre d'expérimenter avec les calques, qui s'ils sont utilisés correctement peuvent rendre meilleure l'apparence de votre diagramme.

[Note] Note

Dans Dia, le création et manipulation des calques est aussi courante que dessiner ou sélectionner des objets dans le diagramme. Vous devez garder la main sur eux, car probablement vous aurez à les utiliser chaque fois que vous voudrez créer un nouveau diagramme.


Chapitre 11. Module Custom Shape

Table des matières

11.1. Introduction au module custom-shapes
11.2. Forme
11.3. Description de forme
11.3.1. Attribut style
11.3.2. Éléments svg reconnus
11.4. Description de feuille (sheet)
11.5. De comment Dia vous aide à gérer les feuilles et les formes
11.6. Notes de conception


11.1. Introduction au module custom-shapes

Le module custom shape vous permet de créer de nouvelles formes pour Dia sans avoir à écrire de code C. À la place, il suffit d'écrire un fichier XML décrivant la forme. Les non programmeurs peuvent ainsi créer de nouvelles formes pour Dia.

La forme elle-même est décrite en utilisant un sous-ensemble de la spécification SVG. Les éléments line, polyline, polygon, rect, circle, ellipse, path et g sont supportés. Notez que l'élément path prend seulement en charge les commandes M,m,L,l,H,h,V,v,C,c,S,s,Z et z. Les transformations et unités CSS ne sont pas prises en charge (seules les unités « user » le sont), et seul un jeu limité d'attributs CSS est pris en charge.

Des points de connexion peuvent être associés à la forme. Ils sont spécifiés dans le même système de coordonnées que la description SVG de la forme.

Une boîte de texte peut être associée à la forme. La boîte de texte est également spécifiée dans le même repère de coordonnées que la forme.

Pour choisir la taille et la position de la boîte de texte, vous pouvez penser à un rectangle contenant la boîte de texte, et un autre contenant tous les autres éléments SVG (appelons-le le rectangle Image) : lorsque vous obtenez la forme sur le canevas, et y écrivez du texte, tout le texte doit entrer dans la boîte de texte. Si nécessaire, la boîte de texte s'agrandira, et, dans les mêmes proportions, le rectangle Image s'agrandira également.

Dia prend soin du reste pour vous (changement de taille, de position, connexion de lignes, chargement, enregistrement, etc).


11.2. Forme

Un fichier de forme typique peut ressembler à ceci :

<?xml version="1.0"?>

<shape xmlns="http://www.daa.com.au/~james/dia-shape-ns"
       xmlns:svg="http://www.w3.org/2000/svg">
  <name>Circuit with identifiers - NPN Transistor</name>
  <icon>npn.xpm</icon>
  <connections>
    <point x="0" y="0"/>
    <point x="6" y="-4"/>
    <point x="6" y="4"/>
  </connections>

  <aspectratio type="fixed"/>

  <textbox x1="4" y1="-3" x2="12" y2="3" />

  <svg:svg>
    <svg:line x1="0" y1="0" x2="3" y2="0" />
    <svg:line x1="3" y1="-3" x2="3" y2="3" />
    <svg:line x1="3" y1="-2" x2="6" y2="-4" />
    <svg:line x1="3" y1="2" x2="6" y2="4" />

    <svg:polyline points="5,4 6,4 5.6154,3.0769" />
  </svg:svg>

</shape>

Seuls les éléments « name » et « svg » sont requis dans le fichier shape. Le reste est optionnel.

L'élément name donne le nom de l'objet. Le nom est l'identifiant unique de cette forme, utilisé pour le chargement et l'enregistrement.

Comme dans cet exemple, vous pouvez utiliser des « noms composés ». Beaucoup de formes ont pour première partie de leur nom le nom de la feuille (sheet) dans laquelle elles apparaissent, mais c'est optionnel.

L'élément « icon » spécifie un fichier xpm ou png utilisé comme icône dans la Boîte à outils Dia. Le nom de fichier peut être relatif au fichier de forme (le chemin peut...). Si cet élément n'est pas précisé, une icône par défault sera utilisée pour les formes personnalisées.

La section « connections » spécifie un jeu de points de connexion pour la forme. Le repère de coordonnées pour ces points est le même que le repère utilisé dans la description svg de la forme.

L'élément « aspectratio » vous permet de spécifier quelles proportions de la forme peuvent être modifiées. Les trois possibilités sont :

  • <aspectratio type="free"/> : tout ratio de proportions autorisé (le defaut)
  • <aspectratio type="fixed"/> : la proportion est fixe.
  • <aspectratio type="range" min="n" max="m"/> : Donne une plage de valeurs.
La dernière option vous permet de spécifier une plage des valeurs de déformation, ce qui peut être utile dans certains cas.

L'élément textbox vous permet d'associer du texte[1] à la forme. La syntaxe est :

<textbox x1="left" y1="top" x2="right" y2="bottom"/>

(seulement une textbox par forme) où les attributs donnent les limites de la boîte de texte dans le même repère que la description SVG de la forme.

À leur création, les formes ont une taille par défaut. Si leur dimension ne correspond pas à vos besoins, vous pouvez remplacer celles-ci par l'une ou les deux directives:
<default-width>1cm</default-width>
<default-height>1cm</default-height>

L'élément svg décrit la forme. les attributs width et height sont ignorés, et donnés seulement pour compatibilité avec la spécification SVG. voir les pages du W3C à-propos du format à l'adresse : http://www.w3.org/Graphics/SVG

La section suivante détaille quelles parties de la spécification SVG peuvent être utilisées dans un fichier shape.


11.3. Description de forme

11.3.1. Attribut style
11.3.2. Éléments svg reconnus

Le format SVG (Scalable Vector Graphics) est utilisé pour décrire la forme. C'est pourquoi un espace de noms séparé est utilisé pour cette partie du fichier.


11.3.1. Attribut style

Chaque élément du dessin SVG prend en compte l'attribut « style ». L'attribut doit être de la forme :

<svg:toto style="name1: value1; name2: value2; ... name42: value42"/>

Actuellement, seuls les styles suivants sont interprétés :

  • stroke-width : La largeur de ligne, relative à la largeur spécifiée par l'utilisateur dans le tag svg.

  • stroke-linecap : Le style des bouts de ligne. Un parmi butt, round, square, projecting (un synonyme de square), ou default.

  • stroke-linejoin : Le style des jointures. Un parmi miter, round, bevel ou default.

  • stroke-pattern : Le motif de points. Un parmi, dashed, dash-dot, dash-dot-dot, dotted ou default.

  • stroke-dashlength : La longueur des traits dans le motif précédent, en relation avec la valeur spécifiée par l'utilisateur (default est un synonyme pour 1.0).

  • stroke : La couleur de ligne. Vous pouvez utiliser un des noms symboliques foreground, fg, default, background, bg, inverse, text ou none, ou utiliser une couleur hexadécimale de forme #rrggbb.

  • fill : La couleur de remplissage. Mêmes valeurs que pour stroke, excepté que la signification de default et inverse sont échangées. Par défaut, les éléments ne sont pas remplis, aussi, pour obtenir le remplissage par défaut, utilisez "fill: default"

[Astuce] Astuce

Pour dessiner un rectangle avec une ligne de largeur minimale (hairline), cette astuce devrait fontionner :

<svg:rect style="stroke-width: 0" x="..." y="..." width="..." height="..."/>

Les ordonnées x et y grandissent comme dans Dia.


11.3.2. Éléments svg reconnus

Les éléments de dessin reconnus sont :

  • <svg:g>

    Ceci est l'élément groupe. Vous pouvez y placer d'autres éléments. Le contenu de l'attribut style de l'élément g est propagé aux éléments contenus (à moins qu'ils ne les modifient).

  • <svg:line x1="..." y1="..." x2="..." y2="..."/>

    Cet élément est une ligne.

  • <svg:polyline points="...."/>

    Ceci est une ligne brisée (une collection de segments de droite connectés). L'attribut « points » contient les coordonnées des extrémités des segments. Les coordonnées sont séparées par un blanc ou des virgules. Le format suggéré est "x1,y1 x2,y2 x3,y3 ...".

  • <svg:polygon points="...."/>

    Ceci est un polygone. L'argument « points » est du même format que celui de l'élément « polyline ».

  • <svg:rect x1="..." y1="..." width="..." height="..."/>

    Ceci est un rectangle. Le coin supérieur gauche est (x1,y1), et le coin inférieur droit est (x1+width,y1+height).

  • <svg:image x1="..." y1="..." width="..." height="..." xlink:href="..." />

    Ceci est une image externe. Le supérieur gauche est (x1,y1), et le coin inférieur droit est (x1+width,y1+height). Deux formes de lien sont pris en charge : un chemin absolu de la forme "file:///home/user/image.png", ou relatif sans le préfixe file:// comme dans "image.png". La dernière forme est préférable car indépendante de l'installation. Le nom de fichier est relatif à l'emplacement du fichier de forme (xxx.shape). Dans l'exemple ci-dessus les fichiers PNG et shape doivent être dans le même répertoire.

    [Note] Note

    pour les unices, on parle bien de répertoire (directory) et non de dossier (folder). Par exemple les commande « cd » (change directory), et, sous Windows, « dir ».

  • <svg:circle cx="..." cy="..." r="..."/>

    Ceci est un cercle de centre (cx,cy) et de rayon r.

  • <svg:ellipse cx="..." cy="..." rx="..." ry="..."/>

    Ceci est une ellipse de centre (cx, cy), de rayon rx dans la direction x, et de rayon ry dans la direction y.

  • <svg:path d="...."/>

    Ceci est l'élément de dessin le plus complexe. Il décrit un chemin fait de segments de droite et de courbes de bézier. Actuellement, il ne prend en charge ni l'arc elliptique ni les courbes de bézier quadratiques. La chaîne « d » est faite de commandes de la forme "x arg1 arg2 ..." où « x » est le code de caractère identifiant la commande, et où les arguments sont des nombres séparés par un blanc ou des virgules. Chaque commande a une variante absolue et relative. Les commandes relatives sont données par une lettre minuscule. Elles utilisent le point d'extrémité de la commande précédente comme point d'origine.

    Les commandes prises en charge sont :

    • M x,y : Bouge le curseur

    • L x,y : Dessine une ligne jusqu'à (x,y)

    • H x : Dessine une ligne horizontale jusqu'à x

    • V y : Dessine une ligne verticale jusqu'à y

    • C x1,y1 x2,y2, x3,y3 : Dessine une courbe de bézier jusqu'à (x3,y3) avec (x1,y1) et (x2,y2) comme points de contrôle.

    • S x1,y1 x2,y2 : Même chose qu'au-dessus, mais dessine un bézier lisse : le premier point de contrôle est déduit du bézier précédent.

    • Z : Ferme le chemin.

    Si le chemin est fermé avec z ou Z, il peut être rempli. Autrement, il est juste dessiné.

  • <svg:text x="..." y="..." style="...">...</svg:text>

    Un texte dans la forme. Le texte doit se situer entre les balises.

    Les paramètres sont :

    • x,y : La position du texte

    • style : Les options de formatage de texte

      Les options de style sont les suivantes :

      • font-size : Taille de la fonte en « pt » (point)


11.4. Description de feuille (sheet)

Vous pouvez disposer plusieurs formes dans une feuille : les formes que vous créez ou toute forme « appartenant » à d'autres feuilles.

Une « feuille » simple pourrait ressembler à ceci :

<?xml version="1.0" encoding="utf-8"?> <sheet xmlns="http://www.lysator.liu.se/~alla/dia/dia-sheet-ns"> <name>Circuit with identifiers</name> <name xml:lang="es">Circuito con identificadores</name> <name xml:lang="fr">Circuit avec identifiants</name> <description>Components for circuit diagrams</description> <description xml:lang="es">Componentes para diagramas de circuitos</description> <description xml:lang="fr">Composants pour les diagrammes de circuits</description> <contents> <object name="Circuit with identifiers - NPN Transistor"> <description>A bipolar npn transistor</description> <description xml:lang="es">Un transistor bipolar npn identificable</description> <description xml:lang="fr">Un transistor bipolaire npn identifiable</description> </object> <object name="UML - Objet"> <description>An UML object</description> <description xml:lang="es">Un objeto UML</description> <description xml:lang="fr">Un objet UML</description> </object> </contents> </sheet>


11.5. De comment Dia vous aide à gérer les feuilles et les formes

Vous pouvez utiliser Dia avec ses éléments existants pour dessiner une forme. Pour l'exporter dans un fichier shape, en utilisant Fichier->Exporter avec comme option d'exportation Déterminer le type de fichier->Fichier de forme Dia (*.shape)

Mais jusqu'ici, ces « shapes » n'ont pas de boîte de texte (Elles peuvent avoir des éléments svg:text mais pas de boîte de texte). Si vous en avez besoin, vous pouvez éditer le fichier.

Avec le fichier shape, vient également un fichier png (après avoir accepté la taille proposée) qui peut être utilisé comme l'icône pour la forme.

Choisissez Fichier(du menu principal)->Feuilles et objets pour créer de nouvelles feuilles, et ajouter, enlever, éditer partiellement les formes, et copier ou passer les formes d'une feuille à l'autre.


11.6. Notes de conception

Le code « custom shape » est conçu pour qu'une feuille d'objets puisse être contenue dans un seul répertoire. Installer des formes peut être aussi simple que de décompresser un fichier .tar.gz dans ~/.dia/shapes ou $(prefix)/share/dia/shapes, avec la description de feuille (.sheet) allant dans ~/.dia/sheets

Si vous avez des suggestions à-propos de ce code, dites-le moi (ndt: en anglais...).

James Henstridge <james@daa.com.au>, avec des modifications apportées par Dolores Alia de Saravia <loli@unsa.edu.ar>


Chapitre 12. Dia en ligne de commande

Table des matières

12.1. Introduction
12.2. Manuel de la ligne de commande


12.1. Introduction

Dia peut être utilisé via la ligne de commande, ou, même, DEPUIS la ligne de commande (traitement par lots, par exemple pour l'exportation vars un autre format de fichiers. On n'oubliera pas d'ajouter l'option --nosplash dans le cas de l'utilisation de dia depuis la ligne de commande, afin d'éviter l'apparition de l'écran d'accueil Dia.


12.2. Manuel de la ligne de commande

dia


dia

Nom

dia — un programme de dessin de diagrammes

Synopsis

dia [ -c ] [ --credits ] [ -e SORTIE ] [ --export=SORTIE ] [ -L CALQUE,CALQUE,... ] [ --show-layers=CALQUE,CALQUE,... ] [ -h ] [ --help ] [ -n ] [ --nosplash ] [ -s WxH ] [ --size=WxH ] [ -t FORMAT ] [ --filter=FORMAT ] [ -v ] [ --version ] [file ...]

DESCRIPTION

Dia est utilisé pour créer des diagrammes. Dia possède des outils de base, comme les lignes et les boîtes, mais peut également charger dynamiquement des feuilles. Une feuille est une collection d'outils utilisés dans un certain type de diagramme.

La plupart des objets de diagramme dans Dia ont des points de connexion. Les lignes peuvent être connectées à ces points de connexion, et par ce moyen des structures de graphe peuvent être mises en forme. Lorsque les objets sont déplacés, ou leurs dimensions changées, les connexions suivent ces objets.

les diagrammes dessinés avec Dia peuvent être exportés dans le format PostScript.

OPTIONS

Dia accepte les options suivantes :

-c --credits

Affiche la liste des attributions et quitte.

-e SORTIE --export=SORTIE

Exporte le fichier chargé dans SORTIE et quitte.

-h --help

Affiche la liste de toutes les options de la ligne de commande.

-n --nosplash

N'affiche pas l'écran de lancement.

-s LxH --size=LxH

Exporte le fichier chargé dans la largeur et/ou la hauteur décimale donnée. Il est possible de ne sélectionner que la hauteur ou la largeur. P.ex. --size=520x exporte une image de 520 pixels largeur, alors que --size=x900 exporte une image de 900 pixels de hauteur.

[Note] Note

Cette option n'est actuellement implémentée que pour le filtre d'export PNG.

-L CALQUE,CALQUE,... --show-layers=CALQUE,CALQUE,...

N'inclue que les calques spécifiés lors de l'exportation. Les calques peuvent être spécifiés par leur nom, leur numéro, ou une étandue numérique X-Y de calques. --show-layers=background,2-5 montre les calques nommés background et les calques 2 à 5, --show-layers=2- montre les calques 2 et supérieurs.

-t FORMAT --export-to-format=FORMAT

Exporte le fichier chargé dans le FORMAT et quitte. Les FORMATS D'EXPORTATION sont décrits ci-dessous.

-v --version

Affiche la version de dia et quitte.

FORMATS D'EXPORTATION

Les formats d'exportation suivants sont supportés par dia.

  • cgm (Computer Graphics Metafile, ISO 8632)

  • dia (diagram Dia natif)

  • dxf (Drawing Interchange File)

  • eps ou eps-builtin ou eps-pango (PostScript encapsulé)

    Les spécifications de format eps et eps-pango utilisent toutes-deux le rendu de fontes de la bibliothèque Pango, alors que eps-builtin utilise le rendu de fontes spécifique de dia. Si vous avez des problèmes avec le rendu de Pango, p.ex. avec Unicode, utilisez eps-builtin à la place.

  • fig (format XFig)

  • mp (macros TeX MetaPost)

  • plt or hpgl (HP Graphics Language)

  • png (Portable Network Graphics)

  • shape (Fichier Dia Shape)

  • svg (Scalable Vector Graphics)

  • tex (macros TeX PSTricks)

  • wpg (WordPerfect Graphics)

  • wmf (Windows MetaFile)

FICHIERS

dia crée un répertoire .dia dans le répertoire « home » de l'utilisateur, contenant différents fichiers qui enregistrent ses préférences. Pour initialiser dia dans son comportement par défaut, il suffit d'effacer les fichiers suivants :

  • defaults.dia: contient les valeurs par défaut des éléments (format XML).

  • diarc: garde les préférences de dia (ASCII).

  • history: garde la liste des derniers diagrammes édités (ASCII).

  • menurc: contient une emprunte de carte d'accélération automatisée (Lisp).

  • persistence: contient les information d'interface graphique, p.ex. les fenêtres ouvertes (XML).

  • pluginrc: la liste des plugins chargés (XML).

VOIR AUSSI

Pango

X (1)

xfig (1)

inkscape (1)

COPYRIGHT

Copyright 1999 Alexander Larsson.

Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation.

AUTEURS

Alexander Larsson

This manual was written by Fredrik Hallenberg.

TRADUCTION

Thomas Harding


Chapitre 13. Auteurs

Dia a été créé par Alexander Larsson et est actuellement maintenu par Lars Clausen et d'autres volontaires. Pour plus d'informations sur Dia, visitez la page web officielle, live.gnome.org/Dia. Merci d'envoyer tous commentaires, suggestions, et rapports de bogues à la base de données GNOME de suivi d'anomalies. (les instructions pour soumettre les rapports de bogue sont disponibles en ligne). Si vous utilisez GNOME 1.1 ou une version supérieure, vous pouvez également utiliser l'outil de rapport d'anomalie (bug-buddy), disponible dans le sous-menu Utilitaires du Menu principal. Vous pouvez également souscrire à la liste de diffusion de Dia.

Ce manuel a été rédigé par Henry House (<hajhouse@houseag.com>), Judith Samson (<judith@samsonsource.com>), Kevin Breit (<battery841@mypad.com>) et Alan Horkan (<horkana@tcd.ie>). Merci d'envoyer les commentaires et suggestions à propos de ce manuel au projet de documentation GNOME via l'adresse mail <docs@gnome.org>. Vous pouvez également ajouter vos commentaires en ligne sur Le tableau d'état de la documentation GNOME.

La traduction française à été effectuée par Thomas Harding, (<thomas.harding@laposte.net>), avec quelques ajouts au manuel original (sections sélecteur de couleur et custom-shape, tirée d'un fichier texte à la racine du répertoire doc des sources). La relecture à été assurée par Christophe Bliard. Merci d'envoyer tous commentaires et suggestions concernant cette traduction à la liste de diffusion Dia (<dia-list@gnome.org>), avec les tags [Manual][French] dans le titre de votre message.


Chapitre 14. Licence

Table des matières

14.1. Licence


14.1. Licence

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

A copy of the GNU General Public License is included as an appendix to the GNOME Users Guide. You may also obtain a copy of the GNU General Public License from the Free Software Foundation by visiting their Web site or by writing to

Free Software Foundation, Inc. 59 Temple Place - Suite 330 Boston, MA 02111-1307 USA